<?xml version="1.0" encoding="UTF-8"?>
<Configuration>
    <Properties>
        <Property name="filename">log/rollingtest.log</Property>
    </Properties>
    <Appenders>
        <Console name="Console" target="SYSTEM_OUT">
            <PatternLayout pattern="%d{HH:mm:ss.SSS} [%t] %-5level %logger{36} - %msg%n"/>
        </Console>
        <RollingFile name="Rolling" fileName="${filename}" filePattern="log/rollingtest.%i.log.gz">
            <PatternLayout>
                <pattern>%d %p %c{1.} [%t] %m%n</pattern>
            </PatternLayout>
            <SizeBasedTriggeringPolicy size="1000"/>
            <DefaultRolloverStrategy max="10"/>
        </RollingFile>
    </Appenders>
    <Loggers>
        <Root level="INFO">
            <AppenderRef ref="Console"/>
        </Root>
        <Logger name="ru.easton.tm.App">
            <AppenderRef ref="Rolling"/>
        </Logger>
    </Loggers>
</Configuration>